Name:           sddm-conf
Version:        0.2.0
Release:        %mkrel 1
Summary:        SDDM configuration editor
License:        MIT
Group:          Graphical desktop/Other
URL:            https://github.com/qtilities/sddm-conf
Source0:        %{URL}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(ECM)
BuildRequires:  cmake(Qtilitools)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Widgets)

Requires:       polkit

Obsoletes:      sddm-config-editor < 0.1.r8246144-7
Provides:       sddm-config-editor = %{version}-%{release}

%description
Configuration editor for SDDM similar to sddm-config-editor, but written in
C++.

%prep
%autosetup -p1

%build
%cmake_qt6 -DPROJECT_QT_VERSION=6
%cmake_build

%install
%cmake_install

desktop-file-edit --add-category=System\;Settings\; \
	%{buildroot}%{_datadir}/applications/sddm_conf.desktop

%find_lang %{name} --with-qt

%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/sddm_conf.desktop
%{_metainfodir}/sddm_conf.appdata.xml


%changelog
* Thu Mar 21 2024 daviddavid <daviddavid> 0.2.0-1.mga10
+ Revision: 2051240
- new version: 0.2.0 (from new project at https://github.com/qtilities/sddm-conf)
- switch to Qt6
- obsoletes/provides archived sddm-config-editor
- sddm-config-editor is out of support and replaced by sddm-conf

* Mon Apr 04 2022 umeabot <umeabot> 0.1.r8246144-6.mga9
+ Revision: 1843336
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.1.r8246144-5.mga8
+ Revision: 1659800
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.1.r8246144-4.mga8
+ Revision: 1525026
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 umeabot <umeabot> 0.1.r8246144-3.mga7
+ Revision: 1384726
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1.r8246144-2.mga7
+ Revision: 1300968
- Mageia 7 Mass Rebuild

* Thu Nov 09 2017 dglent <dglent> 0.1.r8246144-1.mga7
+ Revision: 1176645
- imported package sddm-config-editor

